Fix some text/icon display issues when using Qt 4.6
--- a/src/libUnicorn/draglabel.cpp
+++ b/src/libUnicorn/draglabel.cpp
@@ -324,6 +324,11 @@
     {
         rect.setHeight( fm.height() );
     }
+    // Qt 4.6 seems to have problems with the width too
+    if ( fm.width( d.m_text ) > rect.width() )
+    {
+        rect.setWidth( fm.width( d.m_text ) );
+    }
 
     // boundingRect sometimes returns negative values so make sure it's at 0, 0
     rect.moveTo( 0, 0 );
--- a/src/settingsdialog.cpp
+++ b/src/settingsdialog.cpp
@@ -140,29 +140,29 @@
         UnicornUtils::qtLanguageToLfmLangCode( QLocale::Japanese ) );
 
     // Add icons to sidebar
-    pixmap.load( MooseUtils::dataPath( "/icons/options_account.png" ) );
+    //pixmap.load( MooseUtils::dataPath( "/icons/options_account.png" ) );
     //pixmap.scaled( 48, 48, Qt::IgnoreAspectRatio, Qt::SmoothTransformation );
-    ui.pageList->item( 0 )->setIcon( pixmap );
+    ui.pageList->item( 0 )->setIcon( QPixmap( MooseUtils::dataPath( "/icons/options_account.png" ) ) );
 
-    pixmap.load( MooseUtils::dataPath( "/icons/options_radio.png" ) );
+    //pixmap.load( MooseUtils::dataPath( "/icons/options_radio.png" ) );
     //pixmap.scaled( 48, 48, Qt::IgnoreAspectRatio, Qt::SmoothTransformation );
-    ui.pageList->item( 1 )->setIcon( pixmap );
+    ui.pageList->item( 1 )->setIcon( QPixmap( MooseUtils::dataPath( "/icons/options_radio.png" ) ) );
 
     #ifdef HIDE_RADIO
         ui.pageList->setItemHidden( ui.pageList->item( 1 ), true );
     #endif // HIDE_RADIO
 
-    pixmap.load( MooseUtils::dataPath( "/icons/options_scrobbling.png" ) );
+    //pixmap.load( MooseUtils::dataPath( "/icons/options_scrobbling.png" ) );
     //pixmap.scaled( 48, 48, Qt::IgnoreAspectRatio, Qt::SmoothTransformation );
-    ui.pageList->item( 2 )->setIcon( pixmap );
+    ui.pageList->item( 2 )->setIcon( QPixmap( MooseUtils::dataPath( "/icons/options_scrobbling.png" ) ) );
 
-    pixmap.load( MooseUtils::dataPath( "/icons/options_connection.png" ) );
+    //pixmap.load( MooseUtils::dataPath( "/icons/options_connection.png" ) );
     //pixmap.scaled( 48, 48, Qt::IgnoreAspectRatio, Qt::SmoothTransformation );
-    ui.pageList->item( 3 )->setIcon( pixmap );
+    ui.pageList->item( 3 )->setIcon( QPixmap( MooseUtils::dataPath( "/icons/options_connection.png" ) ) );
 
-    pixmap.load( MooseUtils::dataPath( "/icons/options_mediadevices.png" ) );
+    //pixmap.load( MooseUtils::dataPath( "/icons/options_mediadevices.png" ) );
     //pixmap.scaled( 48, 48, Qt::IgnoreAspectRatio, Qt::SmoothTransformation );
-    ui.pageList->item( 4 )->setIcon( pixmap );
+    ui.pageList->item( 4 )->setIcon( QPixmap( MooseUtils::dataPath( "/icons/options_mediadevices.png" ) ) );
 
     #ifdef Q_WS_X11
     ui.pageList->setRowHidden( 4, true );
